[openrtm-commit:01065] r566 - in trunk/OpenRTM-aist-Python: . packages/deb

openrtm @ openrtm.org openrtm @ openrtm.org
2013年 4月 29日 (月) 17:56:25 JST


Author: n-ando
Date: 2013-04-29 17:56:25 +0900 (Mon, 29 Apr 2013)
New Revision: 566

Modified:
   trunk/OpenRTM-aist-Python/packages/deb/dpkg_build.sh
   trunk/OpenRTM-aist-Python/setup.py
Log:
setup.py has been modified to avoid py2.5 error. dpkg_build.sh now return -1 if dpkg-build failed.

Modified: trunk/OpenRTM-aist-Python/packages/deb/dpkg_build.sh
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/dpkg_build.sh	2013-04-29 07:23:27 UTC (rev 565)
+++ trunk/OpenRTM-aist-Python/packages/deb/dpkg_build.sh	2013-04-29 08:56:25 UTC (rev 566)
@@ -116,5 +116,9 @@
 cd $packagedir
 
 dpkg-buildpackage -W -us -uc -rfakeroot
+if test $? -ne 0; then
+  echo "dpkg-build failed"
+  exit -1
+fi
 
 mv $packagedir/../openrtm-aist* $packagedir/packages/

Modified: trunk/OpenRTM-aist-Python/setup.py
===================================================================
--- trunk/OpenRTM-aist-Python/setup.py	2013-04-29 07:23:27 UTC (rev 565)
+++ trunk/OpenRTM-aist-Python/setup.py	2013-04-29 08:56:25 UTC (rev 566)
@@ -842,10 +842,12 @@
   def finalize_options(self):
     self.set_undefined_options('install_core_lib',
                                ('install_dir','install_dir'))
-    self.set_undefined_options('install_core',
-                               ('install_layout','install_layout'))
-    self.set_undefined_options('install_core',
-                               ('prefix_option','prefix_option'))
+    if hasattr(self, 'install_layout'):
+      self.set_undefined_options('install_core',
+                                 ('install_layout','install_layout'))
+    if hasattr(self, 'prefix_option'):
+      self.set_undefined_options('install_core',
+                                 ('prefix_option','prefix_option'))
     _install_egg_info.finalize_options(self)
 
 



More information about the openrtm-commit mailing list